Loading...
Searching...
No Matches
Repomd (repomd.xml) parser

## Data Structures

struct | LrYumDistroTag
struct | LrYumRepoMdRecord
struct | LrYumRepoMd

## Functions

LrYumRepoMd * | lr_yum_repomd_init (void)
void | lr_yum_repomd_free (LrYumRepoMd *repomd)
gboolean | lr_yum_repomd_parse_file (LrYumRepoMd *repomd, int fd, LrXmlParserWarningCb warningcb, void *warningcb_data, GError **err)
LrYumRepoMdRecord * | lr_yum_repomd_get_record (LrYumRepoMd *repomd, const char *type)
gint64 | lr_yum_repomd_get_highest_timestamp (LrYumRepoMd *repomd, GError **err)

## Detailed Description

## Function Documentation

## lr_yum_repomd_free()

void lr_yum_repomd_free | ( | LrYumRepoMd * | repomd | ) |

Free repomd content and repomd object itself.

Parameters

  repomd | Repomd object.

## lr_yum_repomd_get_highest_timestamp()

gint64 lr_yum_repomd_get_highest_timestamp | ( | LrYumRepoMd * | repomd,
|  | GError ** | err )

Get the highest timestamp from repomd records.

Parameters

  repomd | Repomd record.
  err | GError **

Returns
  The highest timestamp from repomd records or -1 if no records available.

## lr_yum_repomd_get_record()

LrYumRepoMdRecord * lr_yum_repomd_get_record | ( | LrYumRepoMd * | repomd,
|  | const char * | type )

Get repomd record from the repomd object.

Parameters

  repomd | Repomd record.
  type | Type of record e.g. "primary", "filelists", ...

Returns
  Record of desired type or NULL.

## lr_yum_repomd_init()

LrYumRepoMd * lr_yum_repomd_init | ( | void |  | ) |

Create new empty repomd object.

Returns
  New repomd object.

## lr_yum_repomd_parse_file()

gboolean lr_yum_repomd_parse_file | ( | LrYumRepoMd * | repomd,
|  | int | fd,
|  | LrXmlParserWarningCb | warningcb,
|  | void * | warningcb_data,
|  | GError ** | err )

Parse repomd.xml file.

Parameters

  repomd | Empty repomd object.
  fd | File descriptor.
  warningcb | Callback for warnings
  warningcb_data | Warning callback user data
  err | GError **

Returns
  TRUE if everything is ok, FALSE if err is set.